Package org.apache.felix.framework.security.util

## Class PropertiesCache

- java.lang.Object
- - org.apache.felix.framework.security.util.PropertiesCache

    public final class PropertiesCache
    extends java.lang.Object

### Constructor Summary

Constructors
`PropertiesCache​(java.io.File store, java.io.File tmp, org.apache.felix.framework.util.SecureAction action)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `read​(java.lang.Class target, java.util.Map map)`
`void` `write​(java.util.Map data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertiesCache

    public PropertiesCache​(java.io.File store,
                           java.io.File tmp,
                           org.apache.felix.framework.util.SecureAction action)

### Method Detail

#### write

    public void write​(java.util.Map data)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    public void read​(java.lang.Class target,
                     java.util.Map map)
              throws java.io.IOException

Throws:
  `java.io.IOException`